{ pkgs, ... }:
{
  boot = {
    kernelPackages = pkgs.linuxPackages_latest;
    kernel.sysctl."vm.max_map_count" = 2147483642;
    initrd = {
      systemd.enable = true;
      luks.devices = {
        crypt-hhd = {
          device = "/dev/disk/by-uuid/0ab46868-3c54-4a19-bf30-93855eac0a86";
          preLVM = true;
          allowDiscards = true;
        };
      };
    };
  };
}
